Package it.ernytech.tdlib

## Class TdApi.ReportSupergroupSpam

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.Function
    - - it.ernytech.tdlib.TdApi.ReportSupergroupSpam

Enclosing class:
  TdApi

    public static class TdApi.ReportSupergroupSpam
    extends TdApi.Function

Reports some messages from a user in a supergroup as spam.

Returns `Ok`

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`long[]` `messageIds` Identifiers of messages sent in the supergroup by the user.
`int` `supergroupId` Supergroup identifier.
`int` `userId` User identifier.

### Constructor Summary

Constructors
`ReportSupergroupSpam()` Default constructor.
`ReportSupergroupSpam​(int supergroupId, int userId, long[] messageIds)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Function

`toString`

### Field Detail

#### supergroupId

    public int supergroupId

Supergroup identifier.

#### userId

    public int userId

User identifier.

#### messageIds

    public long[] messageIds

Identifiers of messages sent in the supergroup by the user. This list must be non-empty.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### ReportSupergroupSpam

    public ReportSupergroupSpam()

Default constructor.

#### ReportSupergroupSpam

    public ReportSupergroupSpam​(int supergroupId,
                                int userId,
                                long[] messageIds)

Constructor for initialization of all fields.

Parameters:
  `supergroupId` - Supergroup identifier.
  `userId` - User identifier.
  `messageIds` - Identifiers of messages sent in the supergroup by the user. This list must be non-empty.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR